Class | Resolv::DNS::Resource::SOA
In: | resolv.rb
Parent: | Resource

### Methods

decode_rdata encode_rdata new

### Constants

TypeValue | = | 6

### Attributes

expire | [R] |
minimum | [R] |
mname | [R] |
refresh | [R] |
retry | [R] |
rname | [R] |
serial | [R] |

### Public Class methods

decode_rdata(msg)

[Source]

    # File resolv.rb, line 1477
            def self.decode_rdata(msg)
              mname = msg.get_name
              rname = msg.get_name
              serial, refresh, retry_, expire, minimum = msg.get_unpack('NNNNN')
              return self.new(
                mname, rname, serial, refresh, retry_, expire, minimum)
            end

new(mname, rname, serial, refresh, retry_, expire, minimum)

[Source]

    # File resolv.rb, line 1460
            def initialize(mname, rname, serial, refresh, retry_, expire, minimum)
              @mname = mname
              @rname = rname
              @serial = serial
              @refresh = refresh
              @retry = retry_
              @expire = expire
              @minimum = minimum
            end

### Public Instance methods

encode_rdata(msg)

[Source]

    # File resolv.rb, line 1471
            def encode_rdata(msg)
              msg.put_name(@mname)
              msg.put_name(@rname)
              msg.put_pack('NNNNN', @serial, @refresh, @retry, @expire, @minimum)
            end

[Validate]